# PCCHOLESKY

Uses a direct solver, based on Cholesky factorization, as a preconditioner

### Options Database Keys

| -pc_factor_reuse_ordering | - Activate PCFactorSetReuseOrdering()
| -pc_factor_reuse_fill | - Activates PCFactorSetReuseFill()
| -pc_factor_fill <fill> | - Sets fill amount
| -pc_factor_in_place | - Activates in-place factorization
| -pc_factor_mat_ordering_type <nd,rcm,...> | - Sets ordering routine
| -pc_factor_shift_nonzero <shift> | - Sets shift amount or PETSC_DECIDE for the default
| -pc_factor_shift_positive_definite [PETSC_TRUE/PETSC_FALSE] | - Activate/Deactivate PCFactorSetShiftPd(); the value is optional with PETSC_TRUE being the default

Notes: Not all options work for all matrix formats

Notes: Usually this will compute an "exact" solution in one iteration and does not need a Krylov method (i.e. you can use -ksp_type preonly, or KSPSetType(ksp,KSPPREONLY) for the Krylov method

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCILU, PCLU, PCICC, PCFactorSetReuseOrdering(), PCFactorSetReuseFill(), PCGetFactoredMatrix(), PCFactorSetFill(), PCFactorSetShiftNonzero(), PCFactorSetShiftPd(), PCFactorSetUseInPlace(), PCFactorSetMatOrderingType(),PCFactorSetShiftNonzero(),PCFactorSetShiftPd()

Level:beginner
Location: src/ksp/pc/impls/factor/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages